Runtime

## org.eclipse.gmf.runtime.common.ui.util
Class UIModificationValidator

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.util.UIModificationValidator

All Implemented Interfaces:
  IModificationValidator

public class UIModificationValidator
extends java.lang.Object
implements IModificationValidator

A validator responsible for doing the actual validation on files. The validation determines whether files may be modified. It delegates to IWorkspace's validateEdit and supplies a UI context from the active shell if available.

Constructor Summary
`UIModificationValidator()` Constructs a UI modification validator and initializes the UI context

Method Summary
`void` `dispose()` Disposes this UI modification validator.
`IStatus` `validateEdit(IFile[] files)` Validates whether the array of IFile objects may be modified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIModificationValidator

    public UIModificationValidator()

  Constructs a UI modification validator and initializes the UI context

Method Detail

### validateEdit

    public IStatus validateEdit(IFile[] files)

  Description copied from interface: `IModificationValidator`
  Validates whether the array of IFile objects may be modified.

  Specified by:
    `validateEdit` in interface `IModificationValidator`
  Parameters:
    `files` - an array of the IFile objects that will be modified
  Returns:
    IStatus which contains a code describing whether or not the modificationn may proceed

### dispose

    public void dispose()

  Disposes this UI modification validator.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.